<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vars"                                                |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / August 2013

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen) ************************
if (isset($_POST['save'])) {
	$new_settings = ($_POST) ? $_POST : $_GET ;
    foreach ($activeModules['Vars'] as $k=>$v) {
        if (!isset($_POST['cpoVarsNew'][$k])) continue;
        if (is_bool($activeModules['Vars'][$k])) {
            $activeModules['Vars'][$k] = (bool) $_POST['cpoVarsNew'][$k];
        } else  {
			$activeModules['Vars'][$k] = $_POST['cpoVarsNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoVarsNew'])) unset($new_settings['cpoVarsNew'][$k]);
    }
	if (isset($new_settings['cpoVarsNew']))  {
		foreach ($new_settings['cpoVarsNew'] as $k=>$v) {
			$activeModules['Vars'][$k] = $new_settings['cpoVarsNew'][$k];
		}
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = 'Vars'", 
            addslashes(serialize($activeModules['Vars']))
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+400+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-400+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');




		printPageHeader(
			__('Variables module settings'),
			__('In this view you can work on the variables module settings.'),
			'http://manual.conpresso4.de/vars/settings.htm',
			true,
			'modules'
		);

		require(CPO_BASEDIR."_include/message.php");

		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="save" value="1">';
 
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Module settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Variables definition:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 100px;" id="custom_fields" class="text inputwidth" name="cpoVarsNew[custom_fields]">'.$activeModules['Vars']['custom_fields'].'</textarea>';
            echo '<br />';
            echo sprintf(__('Syntax: fieldname[%1$srequired(0|1)[%1$stype(text|select|option|checkbox|color|comment)%1$ssize|values(a%2$sb%2$sc%2$s...)]] + LF/CR'),
				$paramsDivider,
				$valueDivider
				);
			echo '<br /><a href="#" onClick="textarea(\'custom_fields\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">'.___('Role:').'</td>';
			echo '<td class="rightrow">';
			echo '<select name="cpoVarsNew[role]" size="1">';
			echo '<option value="'.ROLE_EDITOR.'" '
				.($activeModules['Vars']['role']==ROLE_EDITOR ? 'selected' : '').'>'
				.___('Editor').'</option>';
			echo '<option value="'.ROLE_CHIEFEDITOR.'" '
				.($activeModules['Vars']['role']==ROLE_CHIEFEDITOR ? 'selected' : '').'>'
				.___('Chief editor').'</option>';
			echo '<option value="'.ROLE_SUPERUSER.'" '
				.($activeModules['Vars']['role']==ROLE_SUPERUSER ? 'selected' : '').'>'
				.___('Superuser').'</option>';

			if ($_SESSION['SID_user']['admin']>=ROLE_ADMIN) { 
				echo '<option value="'.ROLE_ADMIN.'" '
					.($activeModules['Vars']['role']==ROLE_ADMIN ? 'selected' : '').'>'
					.___('Admin').'</option>';
			} 
			echo '</select>';
		echo '</td></tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';

		echo '</tbody></table>';

		echo '</form>';

// ==== footer =====
include('includes/producer.inc.php');
include(CPO_BASEDIR.'_include/footer.php');

?>